# DXGfxLib.QuadTreeNode Class Reference

A quadtree node is a special sceneNode that goes into a quadtree. Does it behaves differently from any other scenenode, not really except we want to know that we are dealing with a quadtree node and not just a simple scenenode this is why this class exists even if we don't perform any operation differently for it than for the base scenenode. More...

Inherits DXGfxLib::SceneNode, and DXGfxLib::SceneNode.

Collaboration diagram for DXGfxLib.QuadTreeNode:

[legend]

List of all members.

## Public Member Functions
| QuadTreeNode ()
| Default constructor. By default a QuadTreeNode will set useFrustrumCulling to true. If a Quadtree node is not used in frustrum tets, it is not that useful.
override void | Update (Frustrum frustrum, float elapsedTime, double appTime, List< IDrawable > objectsToBeRendered)
| In a QuadTreeNode it is interesting to override this method because QuadTreeNode behaves in certain ways which make some optimizations possible. First they are always created by an outdoor scene. Their bounding box are not supposed to change in any manner so instead of going down all the tree to update bounding box information, then walk it up to update all nodes in between and then do the attach phase, we can in fact do everything in one traversal! Descendent nodes will know themselves how they need to behave !
| QuadTreeNode ()
| Default constructor. By default a QuadTreeNode will set useFrustrumCulling to true. If a Quadtree node is not used in frustrum tets, it is not that useful.
override void | Update (Frustrum frustrum, float elapsedTime, double appTime, List< IDrawable > objectsToBeRendered)
| In a QuadTreeNode it is interesting to override this method because QuadTreeNode behaves in certain ways which make some optimizations possible. First they are always created by an outdoor scene. Their bounding box are not supposed to change in any manner so instead of going down all the tree to update bounding box information, then walk it up to update all nodes in between and then do the attach phase, we can in fact do everything in one traversal! Descendent nodes will know themselves how they need to behave !

## Detailed Description

A quadtree node is a special sceneNode that goes into a quadtree. Does it behaves differently from any other scenenode, not really except we want to know that we are dealing with a quadtree node and not just a simple scenenode this is why this class exists even if we don't perform any operation differently for it than for the base scenenode.

Definition at line 28 of file QuadTreeNode.cs.

## Constructor & Destructor Documentation

DXGfxLib.QuadTreeNode.QuadTreeNode | ( |  | ) |

Default constructor. By default a QuadTreeNode will set useFrustrumCulling to true. If a Quadtree node is not used in frustrum tets, it is not that useful.

Definition at line 34 of file QuadTreeNode.cs.

DXGfxLib.QuadTreeNode.QuadTreeNode | ( |  | ) |

Default constructor. By default a QuadTreeNode will set useFrustrumCulling to true. If a Quadtree node is not used in frustrum tets, it is not that useful.

Definition at line 34 of file QuadTreeNode.cs.

## Member Function Documentation

override void DXGfxLib.QuadTreeNode.Update | ( | Frustrum | frustrum,
|  | float | elapsedTime,
|  | double | appTime,
|  | List< IDrawable > | objectsToBeRendered |
| ) |  |  | `[virtual]`

In a QuadTreeNode it is interesting to override this method because QuadTreeNode behaves in certain ways which make some optimizations possible. First they are always created by an outdoor scene. Their bounding box are not supposed to change in any manner so instead of going down all the tree to update bounding box information, then walk it up to update all nodes in between and then do the attach phase, we can in fact do everything in one traversal! Descendent nodes will know themselves how they need to behave !

Parameters:

  | frustrum |
  | elapsedTime |
  | appTime |
  | objectsToBeRendered |

Reimplemented from DXGfxLib.SceneNode.

Definition at line 51 of file QuadTreeNode.cs.

override void DXGfxLib.QuadTreeNode.Update | ( | Frustrum | frustrum,
|  | float | elapsedTime,
|  | double | appTime,
|  | List< IDrawable > | objectsToBeRendered |
| ) |  |  | `[virtual]`

In a QuadTreeNode it is interesting to override this method because QuadTreeNode behaves in certain ways which make some optimizations possible. First they are always created by an outdoor scene. Their bounding box are not supposed to change in any manner so instead of going down all the tree to update bounding box information, then walk it up to update all nodes in between and then do the attach phase, we can in fact do everything in one traversal! Descendent nodes will know themselves how they need to behave !

Parameters:

  | frustrum |
  | elapsedTime |
  | appTime |
  | objectsToBeRendered |

Reimplemented from DXGfxLib.SceneNode.

Definition at line 51 of file QuadTreeNode.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/QuadTreeNode.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/QuadTreeNode.cs